public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in dev-python/nose: nose-1.0.0.ebuild
@ 2011-02-08 23:37 Arfrever Frehtes Taifersar Arahesis (arfrever)
  0 siblings, 0 replies; only message in thread
From: Arfrever Frehtes Taifersar Arahesis (arfrever) @ 2011-02-08 23:37 UTC (permalink / raw
  To: gentoo-commits

arfrever    11/02/08 23:37:37

  Modified:             nose-1.0.0.ebuild
  Log:
  Run tests in a way recommended by upstream.
  
  (Portage version: 2.2.0_alpha22_p7/cvs/Linux x86_64)

Revision  Changes    Path
1.7                  dev-python/nose/nose-1.0.0.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/nose/nose-1.0.0.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/nose/nose-1.0.0.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/nose/nose-1.0.0.ebuild?r1=1.6&r2=1.7

Index: nose-1.0.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/nose/nose-1.0.0.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- nose-1.0.0.ebuild	21 Jan 2011 15:24:13 -0000	1.6
+++ nose-1.0.0.ebuild	8 Feb 2011 23:37:37 -0000	1.7
@@ -1,10 +1,9 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/nose/nose-1.0.0.ebuild,v 1.6 2011/01/21 15:24:13 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/nose/nose-1.0.0.ebuild,v 1.7 2011/02/08 23:37:37 arfrever Exp $
 
 EAPI="3"
 SUPPORT_PYTHON_ABIS="1"
-# DISTUTILS_SRC_TEST="setup.py"
 
 inherit distutils eutils
 
@@ -48,11 +47,12 @@
 
 src_test() {
 	testing() {
-		# Tests fail with Python 3.
-		# http://code.google.com/p/python-nose/issues/detail?id=387
-		[[ "${PYTHON_ABI}" == 3.* ]] && return
+		if [[ "${PYTHON_ABI}" == 3.* ]]; then
+			rm -fr build || return 1
+			"$(PYTHON)" setup.py build_tests || return 1
+		fi
 
-		PYTHONPATH="build-${PYTHON_ABI}/lib" "$(PYTHON)" setup.py build -b build-${PYTHON_ABI} test
+		"$(PYTHON)" selftest.py -v
 	}
 	python_execute_function testing
 }






^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2011-02-08 23:37 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-02-08 23:37 [gentoo-commits] gentoo-x86 commit in dev-python/nose: nose-1.0.0.ebuild Arfrever Frehtes Taifersar Arahesis (arfrever)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox